#!/bin/sh
# arpwatch.postinst: v11 2004/09/15 KELEMEN Peter <fuji@debian.org>

set -e

AWUSER="arpwatch"
AWGROUP="arpwatch"
AWHOME="/var/lib/${AWUSER}"
AWGECOS="ARP Watcher"

update_ethercodes () {
	# create or update the database file ethercodes.db; check existence of
	# the script so it can be disabled using dpkg-divert
	if [ -x /var/lib/ieee-data/update.d/arpwatch ] ; then
		/var/lib/ieee-data/update.d/arpwatch \
			/var/lib/ieee-data/ oui.txt
	fi
}

case "$1" in
	configure)
		# Take care of group.
		if AWGROUP_ENTRY=`getent group "${AWGROUP}"`; then
			# group exists
			:
		else
			# group does not exist yet
			addgroup --quiet --system "${AWGROUP}"
		fi

		# Take care of user.
		if AWUSER_ENTRY=`getent passwd "${AWUSER}"`; then
			# user exists
			adduser --quiet "${AWUSER}" "${AWGROUP}"
		else
			# user does not exist yet
			adduser --quiet --system	\
				--ingroup "${AWGROUP}"	\
				--gecos "${AWGECOS}"	\
				--home "${AWHOME}"	\
				--no-create-home	\
				--shell /bin/sh		\
				--disabled-login	\
				--disabled-password	\
				"${AWUSER}"
		fi

		# Set up home directory with correct permissions.
		mkdir -p "${AWHOME}"
		chown "${AWUSER}:${AWGROUP}" "${AWHOME}"
		chmod 0750 "${AWHOME}"

		update_ethercodes
		;;
	triggered)
		update_ethercodes
		;;
	abort-upgrade|abort-remove|abort-deconfigure)
		;;
	*)
		echo "postinst called with unknown argument \`$1'" >&2
		exit 1
		;;
esac

#DEBHELPER#


exit 0

# End of file.
